CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2020-14803

Vulnerability in the Java SE product of Oracle Java SE (component: Libraries). Supported versions that are affected are Java SE: 11.0.8 and 15. Easily exploitable vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in unauthorized read access to a subset of Java SE accessible data. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets, that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator). CVSS 3.1 Base Score 5.3 (Confidentiality impacts). CVSS Vector: (CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N).
Publish Date : 2020-10-21 Last Update Date : 2021-02-24
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:4305: java-11-openjdk security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20204305 unix
RHSA-2020:4307: java-11-openjdk security update (Moderate) oval:com.redhat.rhsa:def:20204307 unix
RHSA-2020:4347: java-1.8.0-openjdk security update (Moderate) oval:com.redhat.rhsa:def:20204347 unix
RHSA-2020:4348: java-1.8.0-openjdk security update (Moderate) oval:com.redhat.rhsa:def:20204348 unix
RHSA-2020:4350: java-1.8.0-openjdk security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20204350 unix
RHSA-2021:0736: java-1.8.0-ibm security update (Critical) oval:com.redhat.rhsa:def:20210736 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2020-14803

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
2 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
3 Application Netapp 7-mode Transition Tool - * * * Version Details Vulnerabilities
4 Application Netapp Active Iq Unified Manager * * * * Version Details Vulnerabilities
5 Application Netapp Active Iq Unified Manager * * * * Version Details Vulnerabilities
6 Application Netapp E-series Santricity Os Controller * * * * Version Details Vulnerabilities
7 Application Netapp E-series Santricity Storage Manager - * * * Version Details Vulnerabilities
8 Application Netapp E-series Santricity Web Services Proxy - * * * Version Details Vulnerabilities
9 Application Netapp Hci Management Node - * * * Version Details Vulnerabilities
10 Hardware Netapp Hci Storage Node - * * * Version Details Vulnerabilities
11 Application Netapp Oncommand Insight - * * * Version Details Vulnerabilities
12 Application Netapp Oncommand Unified Manager - * * * Version Details Vulnerabilities
13 Application Netapp Santricity Cloud Connector - * * * Version Details Vulnerabilities
14 Application Netapp Santricity Unified Manager - * * * Version Details Vulnerabilities
15 Application Netapp Snapmanager - - * * Version Details Vulnerabilities
16 Application Netapp Snapmanager - - * * Version Details Vulnerabilities
17 Application Netapp Solidfire - * * * Version Details Vulnerabilities
18 OS Opensuse Leap 15.2 * * * Version Details Vulnerabilities
19 Application Oracle Graalvm 19.3.3 * * * Version Details Vulnerabilities
20 Application Oracle Graalvm 19.3.4 * * * Version Details Vulnerabilities
21 Application Oracle Graalvm 20.2.0 * * * Version Details Vulnerabilities
22 Application Oracle Graalvm 20.3.0 * * * Version Details Vulnerabilities
23 Application Oracle JDK 7.0 Update 281 * * Version Details Vulnerabilities
24 Application Oracle JDK 8.0 Update 271 * * Version Details Vulnerabilities
25 Application Oracle JDK 11.0.8 * * * Version Details Vulnerabilities
26 Application Oracle JDK 15.0 * * * Version Details Vulnerabilities
27 Application Oracle JRE 7.0 Update 281 * * Version Details Vulnerabilities
28 Application Oracle JRE 8.0 Update 271 * * Version Details Vulnerabilities
29 Application Oracle JRE 11.0.8 * * * Version Details Vulnerabilities
30 Application Oracle JRE 15.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 2
Netapp 7-mode Transition Tool 1
Netapp Active Iq Unified Manager 2
Netapp E-series Santricity Os Controller 1
Netapp E-series Santricity Storage Manager 1
Netapp E-series Santricity Web Services Proxy 1
Netapp Hci Management Node 1
Netapp Hci Storage Node 1
Netapp Oncommand Insight 1
Netapp Oncommand Unified Manager 1
Netapp Santricity Cloud Connector 1
Netapp Santricity Unified Manager 1
Netapp Snapmanager 2
Netapp Solidfire 1
Opensuse Leap 1
Oracle Graalvm 4
Oracle JDK 4
Oracle JRE 4

- References For CVE-2020-14803

https://www.oracle.com/security-alerts/cpuoct2020.html
https://security.netapp.com/advisory/ntap-20201023-0004/ CONFIRM
https://www.debian.org/security/2020/dsa-4779
DEBIAN DSA-4779
https://lists.debian.org/debian-lts-announce/2020/10/msg00031.html
MLIST [debian-lts-announce] 20201030 [SECURITY] [DLA 2412-1] openjdk-8 security update
http://lists.opensuse.org/opensuse-security-announce/2020-11/msg00041.html
SUSE openSUSE-SU-2020:1893
https://www.oracle.com/security-alerts/cpujan2021.html
https://security.gentoo.org/glsa/202101-19
GENTOO GLSA-202101-19

- Metasploit Modules Related To CVE-2020-14803

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.